diff -urN gimp-2.10.38-orig/app/dialogs/resize-dialog.c gimp-2.10.38/app/dialogs/resize-dialog.c
--- gimp-2.10.38-orig/app/dialogs/resize-dialog.c	2024-05-03 09:33:34 +0900
+++ gimp-2.10.38/app/dialogs/resize-dialog.c	2024-06-23 22:29:27 +0900
@@ -249,51 +249,6 @@
                       main_vbox, TRUE, TRUE, 0);
   gtk_widget_show (main_vbox);
 
-  /* template selector */
-  hbox = gtk_box_new (GTK_ORIENTATION_HORIZONTAL, 6);
-  gtk_box_pack_start (GTK_BOX (main_vbox), hbox, FALSE, FALSE, 0);
-  gtk_widget_show (hbox);
-
-  label = gtk_label_new_with_mnemonic (_("_Template:"));
-  gtk_box_pack_start (GTK_BOX (hbox), label, FALSE, FALSE, 0);
-  gtk_widget_show (label);
-
-  template_selector = g_object_new (GIMP_TYPE_CONTAINER_COMBO_BOX,
-                                    "container",         context->gimp->templates,
-                                    "context",           private->context,
-                                    "view-size",         16,
-                                    "view-border-width", 0,
-                                    "ellipsize",         PANGO_ELLIPSIZE_NONE,
-                                    "focus-on-click",    FALSE,
-                                    NULL);
-
-  gtk_box_pack_start (GTK_BOX (hbox), template_selector, TRUE, TRUE, 0);
-  gtk_widget_show (template_selector);
-
-  gtk_label_set_mnemonic_widget (GTK_LABEL (label), template_selector);
-
-  g_signal_connect (private->context,
-                    "template-changed",
-                    G_CALLBACK (template_changed),
-                    private);
-
-  /* reset template button */
-  button = gimp_icon_button_new (GIMP_ICON_RESET, NULL);
-  gtk_button_set_relief (GTK_BUTTON (button), GTK_RELIEF_NONE);
-  gtk_image_set_from_icon_name (GTK_IMAGE (gtk_bin_get_child (GTK_BIN (button))),
-                                GIMP_ICON_RESET, GTK_ICON_SIZE_MENU);
-  gtk_box_pack_start (GTK_BOX (hbox), button, FALSE, FALSE, 0);
-  gtk_widget_show (button);
-
-  g_signal_connect (button,
-                    "clicked",
-                    G_CALLBACK (reset_template_clicked),
-                    private);
-
-  gimp_help_set_help_data (button,
-                           _("Reset the template selection"),
-                           NULL);
-
   /* ppi selector box */
   private->ppi_box = vbox = gtk_box_new (GTK_ORIENTATION_VERTICAL, 6);
   gtk_box_pack_start (GTK_BOX (main_vbox), vbox, FALSE, FALSE, 0);
@@ -540,6 +495,51 @@
       g_object_unref (size_group);
     }
 
+  /* template selector */
+  hbox = gtk_box_new (GTK_ORIENTATION_HORIZONTAL, 6);
+  gtk_box_pack_start (GTK_BOX (main_vbox), hbox, FALSE, FALSE, 0);
+  gtk_widget_show (hbox);
+
+  label = gtk_label_new_with_mnemonic (_("_Template:"));
+  gtk_box_pack_start (GTK_BOX (hbox), label, FALSE, FALSE, 0);
+  gtk_widget_show (label);
+
+  template_selector = g_object_new (GIMP_TYPE_CONTAINER_COMBO_BOX,
+                                    "container",         context->gimp->templates,
+                                    "context",           private->context,
+                                    "view-size",         16,
+                                    "view-border-width", 0,
+                                    "ellipsize",         PANGO_ELLIPSIZE_NONE,
+                                    "focus-on-click",    FALSE,
+                                    NULL);
+
+  gtk_box_pack_start (GTK_BOX (hbox), template_selector, TRUE, TRUE, 0);
+  gtk_widget_show (template_selector);
+
+  gtk_label_set_mnemonic_widget (GTK_LABEL (label), template_selector);
+
+  g_signal_connect (private->context,
+                    "template-changed",
+                    G_CALLBACK (template_changed),
+                    private);
+
+  /* reset template button */
+  button = gimp_icon_button_new (GIMP_ICON_RESET, NULL);
+  gtk_button_set_relief (GTK_BUTTON (button), GTK_RELIEF_NONE);
+  gtk_image_set_from_icon_name (GTK_IMAGE (gtk_bin_get_child (GTK_BIN (button))),
+                                GIMP_ICON_RESET, GTK_ICON_SIZE_MENU);
+  gtk_box_pack_start (GTK_BOX (hbox), button, FALSE, FALSE, 0);
+  gtk_widget_show (button);
+
+  g_signal_connect (button,
+                    "clicked",
+                    G_CALLBACK (reset_template_clicked),
+                    private);
+
+  gimp_help_set_help_data (button,
+                           _("Reset the template selection"),
+                           NULL);
+
   return dialog;
 }
 
